Members
Create a rep
Creates a rep in the company from an email address plus optional profile, rank, metadata (at most 50 keys), and default address fields. If a member with that email already exists in the company, that member is returned instead of a duplicate being created. An invitation email is sent unless send_invitation is false. Requires a company admin-tier Bearer token (admin user, company API token, or partner token) with members manage permission.
POST
/
api
/
v2025-06
/
reps
Create a rep
curl --request POST \
--url https://api.fluid.app/api/v2025-06/reps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rep": {
"first_name": "Jim",
"last_name": "Halpert",
"email": "jim.halpert@dundermifflin.com",
"phone": "+15705550142",
"username": "jim-halpert",
"external_id": "DM-1043",
"language_code": "en",
"country_code": "US",
"rank_id": 7,
"metadata": {
"branch": "Scranton",
"territory": "Northeast PA"
},
"email_marketing": true,
"send_invitation": true,
"address": {
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country": "US"
}
}
}
'import requests
url = "https://api.fluid.app/api/v2025-06/reps"
payload = { "rep": {
"first_name": "Jim",
"last_name": "Halpert",
"email": "jim.halpert@dundermifflin.com",
"phone": "+15705550142",
"username": "jim-halpert",
"external_id": "DM-1043",
"language_code": "en",
"country_code": "US",
"rank_id": 7,
"metadata": {
"branch": "Scranton",
"territory": "Northeast PA"
},
"email_marketing": True,
"send_invitation": True,
"address": {
"address1": "1725 Slough Avenue",
"address2": "Suite 200",
"city": "Scranton",
"state": "PA",
"postal_code": "18505",
"country": "US"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rep: {
first_name: 'Jim',
last_name: 'Halpert',
email: 'jim.halpert@dundermifflin.com',
phone: '+15705550142',
username: 'jim-halpert',
external_id: 'DM-1043',
language_code: 'en',
country_code: 'US',
rank_id: 7,
metadata: {branch: 'Scranton', territory: 'Northeast PA'},
email_marketing: true,
send_invitation: true,
address: {
address1: '1725 Slough Avenue',
address2: 'Suite 200',
city: 'Scranton',
state: 'PA',
postal_code: '18505',
country: 'US'
}
}
})
};
fetch('https://api.fluid.app/api/v2025-06/reps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rep": {
"id": 48214,
"active": true,
"created_at": "2026-09-14T15:04:11Z",
"updated_at": "2026-09-14T15:04:11Z",
"external_id": "DM-1043",
"username": "jim-halpert",
"share_guid": "jim-halpert",
"first_name": "Jim",
"last_name": "Halpert",
"email": "jim.halpert@dundermifflin.com",
"phone": "+15705550142",
"image_url": null,
"full_name": "Jim Halpert",
"name": "Jim Halpert",
"country_code": "US",
"language_code": "en",
"rank": {
"id": 7,
"name": "Silver",
"external_id": "SILVER"
},
"member_id": "0199b3d1-0e4f-7a62-8c15-d27e9f4b6a30",
"tax_exempt": false,
"sales_tax_id": null
},
"meta": {
"request_id": "4b8d1e62-3a9f-4c07-8e15-f6a2c9d0b743",
"timestamp": "2026-09-14T15:04:11Z"
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}⌘I
Create a rep
